> News > 2019-10-21 Browser plugin error

Browser plugin error

Published 9 months ago.

If you use our browser plugin you may be facing a security error.

We're currently rolling out an update which fixes his problem. It will take a few hours to update all servers.

If you urgently need to connect using the browser plugin, the Amsterdam and Atlanta servers have been updated already. Alternatively, you can use our VPNGUI app.